Summary: Jones Network Admin Scripts
Name: jonesnet-admin
Version: 5.2
Release: 2
Group: Utilities/System
Copyright: Not Distributable
Source: ftp://jonesnet.org/pub/linux/RPMS/jonesnet-admin-5.2.tar.gz
BuildRoot: /tmp/jonesnet-admin
Requires: redhat-release = 5.2

%description
Jones Center Linux distribution setup scripts do serveral things:
   1. Set up /etc/profile and /etc/bashrc.
   2. DHCP configuration file generation.
   3. Set up QMAIL aliases for root, mailer-daemon, and postmaster.
   4. Set up to mail reboot log to root and root@jonesnet.org.
   5. Set up /etc/resolv.conf file to point to domain name servers.
   6. Set up /usr/lib/pine.conf.fixed for QMAIL.
   7. Set up to check master RPM List once per day.
   8. Set up /etc/hosts.allow and /etc/hosts.deny to prevent SPAM E-mail.
   9. Set up SNMP configuration file for traffic monitoring.
  10. Set date remotely once per day from jcf.jonesnet.org
  11. Set up for padmin group users to add/delete accounts.

%changelog
* Wed Apr 14 1999 David Summers <david@jonesnet.org>
5.2-2: Changed root alias to forward to sps-root@jonesnet.org.

* Thu Apr 01 1999 David Summers <david@jonesnet.org>
5.2-1: Updated /usr/sbin/dhcpgen to handle new hosts file format.
       Fixed /etc/dhcpd.conf.header to note new network changes.
          (SHS,WASHINGTON,SADMIN)

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p             $RPM_BUILD_ROOT/usr/sbin
cp dhcpgen           $RPM_BUILD_ROOT/usr/sbin
mkdir -p             $RPM_BUILD_ROOT/etc/cron.hourly
cp make.dhcp         $RPM_BUILD_ROOT/etc/cron.hourly/dhcpgen
cp dhcpd.conf.header $RPM_BUILD_ROOT/etc/dhcpd.conf.header
mkdir -p             $RPM_BUILD_ROOT/etc/jonesnet
cp bashrc            $RPM_BUILD_ROOT/etc/jonesnet/bashrc
cp profile           $RPM_BUILD_ROOT/etc/jonesnet/profile
cp .qmail-*          $RPM_BUILD_ROOT/etc/jonesnet
mkdir -p             $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p             $RPM_BUILD_ROOT/etc/rc.d/rc3.d
cp mail.reboot       $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -s ../init.d/mail.reboot $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S99mail.reboot
cp resolv.conf       $RPM_BUILD_ROOT/etc/resolv.conf
cp pine.conf.fixed   $RPM_BUILD_ROOT/etc/jonesnet/pine.conf.fixed
mkdir -p             $RPM_BUILD_ROOT/etc/cron.daily
cp check.rpms        $RPM_BUILD_ROOT/etc/cron.daily
cp hosts.allow       $RPM_BUILD_ROOT/etc/jonesnet
cp hosts.deny        $RPM_BUILD_ROOT/etc/jonesnet
cp snmpd.conf        $RPM_BUILD_ROOT/etc/jonesnet
cp su1.priv          $RPM_BUILD_ROOT/etc/jonesnet
cp setdate           $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p             $RPM_BUILD_ROOT/usr/bin
cp delusers          $RPM_BUILD_ROOT/usr/bin/delusers
ln -s /usr/bin/su1   $RPM_BUILD_ROOT/usr/bin/newusers

%pre
sed -e '/# begin jonesnet-admin/,/# end jonesnet-admin/d' < /etc/hosts.allow > /etc/hosts.allow.new
mv /etc/hosts.allow.new /etc/hosts.allow
sed -e '/# begin jonesnet-admin/,/# end jonesnet-admin/d' < /etc/hosts.deny > /etc/hosts.deny.new
mv /etc/hosts.deny.new /etc/hosts.deny

%post
cp /etc/jonesnet/profile /etc/profile
cp /etc/jonesnet/bashrc /etc/bashrc
cp /etc/jonesnet/.qmail-* /etc/qmail/alias
cp /etc/jonesnet/pine.conf.fixed /usr/lib/
cp /etc/jonesnet/snmpd.conf /etc/snmpd.conf
cp /etc/jonesnet/su1.priv /etc/su1.priv

cat /etc/hosts.allow /etc/jonesnet/hosts.allow > /etc/hosts.allow.new
mv /etc/hosts.allow.new /etc/hosts.allow
cat /etc/hosts.deny /etc/jonesnet/hosts.deny > /etc/hosts.deny.new
mv /etc/hosts.deny.new /etc/hosts.deny

rm -f /etc/init.d
ln -s /etc/rc.d/init.d /etc/init.d

%postun
sed -e '/# begin jonesnet-admin/,/# end jonesnet-admin/d' < /etc/hosts.allow > /etc/hosts.allow.new
mv /etc/hosts.allow.new /etc/hosts.allow
sed -e '/# begin jonesnet-admin/,/# end jonesnet-admin/d' < /etc/hosts.deny > /etc/hosts.deny.new
mv /etc/hosts.deny.new /etc/hosts.deny

%files
%defattr(-,root,root)
%config /etc/dhcpd.conf.header
%config /etc/resolv.conf
%doc README CHANGES
/etc/cron.daily/*
/etc/cron.hourly/*
/etc/jonesnet
/etc/rc.d
/usr/sbin/*
/usr/bin/*
